// CLOCK MODIFIER: CLOCK COMBINATION EXAMPLE
// *****************************************
// This scene shows the result of using the clock_combine
// option.

// CAMERA AND LIGHTS
   camera {location <0, 0, -10> look_at <0, 0, 0> angle 30}
   light_source {<10, 10, -100> rgb 1}

// PREVIEW OPTIONS
   #declare graph_only = true
   #declare graph_smoothness = 50
   #declare graph_thickness = .03
   #declare graph_continuous = true

// PLUS AND EQUALS SIGNS
   #declare Plus = union {
      box {<-1, -3, 0>, <1, 3, 1>}
      box {<-3, -1, 0>, <3, 1, 1>}
      pigment {rgb <.6, .6, .6>}}

   #declare Equals = union {
      box {<-3, 1, 0>, <3, 3, 1>}
      box {<-3, -3, 0>, <3, -1, 1>}
      pigment {rgb <.6, .6, .6>}}

// BASE CLOCK (Repeated Wave)
   object {
      #declare clock_type = "W"
      #declare clock_repeat = 4
      #include "ClockP.inc"
      translate <-2.5, -.5, 0>}

   object {Plus scale .08 translate <-1, 0, 0>}

// COMBINE_CLOCK (Accelerate)
   object {
      #declare clock_type = "A"
      #declare clock_repeat = 1
      #include "ClockP.inc"
      translate <-.5, -.5, 0>}

   object {Equals scale .08 translate <1, 0, 0>}

// RESULTING CLOCK
   object {
      #declare clock_type = "W"
      #declare clock_repeat = 4
      #declare clock_combine = "A"
      #include "ClockP.inc"
      translate <1.5, -.5, 0>}
