// CLOCK MODIFIER: PREVIEW OF ALL CLOCK MODIFICATIONS
// **************************************************
// This scene shows the nine different clock modifications that
// can be used with the Clock Modifier include file.

// CAMERA AND LIGHTS
   camera {location <0, 0, -10> look_at <0, 0, 0> angle 35}
   light_source {<10, 10, -100> rgb 1}

// PREVIEW OPTIONS
   #declare graph_only = true
   #declare graph_smoothness = 20
   #declare graph_thickness = .03
   #declare graph_continuous = true

// TOP ROW (Accelerate, Decelerate, S-Curve)
   object {#declare clock_type = "A" #include "ClockP.inc" translate <-2, 1, 0>}
   object {#declare clock_type = "D" #include "ClockP.inc" translate <-.5, 1, 0>}
   object {#declare clock_type = "S" #include "ClockP.inc" translate <1, 1, 0>}

// MIDDLE ROW (Triangle, Jump, Bounce)
   object {#declare clock_type = "T" #include "ClockP.inc" translate <-2, -.5, 0>}
   object {#declare clock_type = "J" #include "ClockP.inc" translate <-.5, -.5, 0>}
   object {#declare clock_type = "B" #include "ClockP.inc" translate <1, -.5, 0>}

// BOTTOM ROW (Oscillator, Wave, Recoil)
   object {#declare clock_type = "O" #include "ClockP.inc" translate <-2, -2, 0>}
   object {#declare clock_type = "W" #include "ClockP.inc" translate <-.5, -2, 0>}
   object {#declare clock_type = "R" #include "ClockP.inc" translate <1, -2, 0>}
